package jp.co.ois.android.hogeroid;

import android.app.Application;
import android.util.Log;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.slf4j.impl.AndroidLoggerConfig;

public class HogeApplication extends Application {
    private static final Logger logger = LoggerFactory.getLogger(HogeApplication.class);

    @Override
    public void onCreate() {
        super.onCreate();
        AndroidLoggerConfig config = AndroidLoggerConfig.getInstance();
        config.setTag("hoge");
        config.setHead("(%F:%L) %m:");
        config.setRootLevel(Log.DEBUG);
        config.setLevel("org.apache", Log.ERROR);
        config.setLevel("jp.co.ois.android.hogeroid", Log.VERBOSE);
        logger.info("version: {}, {}", BuildConfig.VERSION_CODE, BuildConfig.VERSION_NAME);
    }
}
